#!/bin/sh

test -f .current || echo -n 1 > .current

current=$(cat .current)

if test $# -eq 2
then
	echo "$current. $1" >> open
else
	echo "$current. " >> open
	vim open
fi
echo -n "$((current + 1))" > .current
